videoio.h File Reference
`#include <ptbuildopts.h>`
`#include <ptlib/plugin.h>`
`#include <ptlib/pluginmgr.h>`
`#include <list>`

Go to the source code of this file.

## Classes

class | PVideoFrameInfo
class | PVideoControlInfo
class | PVideoInputControl
| This class defines a video Input device control (Camera controls PTZ) More...
class | PVideoInteractionInfo
| This class defines a video Input device Interactions (Remote Inputs/Controls) More...
class | PVideoDevice
| This class defines a video device. More...
struct | PVideoDevice::OpenArgs
class | PVideoOutputDevice
| This class defines a video output device. More...
class | PVideoOutputDeviceRGB
| This class defines a video output device for RGB in a frame store. More...
class | PVideoInputDevice
| This class defines a video input device. More...
struct | PVideoInputDevice::Capabilities
class | PVideoInputPluginServiceDescriptor< className >
class | PVideoOutputPluginServiceDescriptor< className >
class | PVideoFont
struct | PVideoFont::LetterData

## Macros

#define | PCREATE_VIDINPUT_PLUGIN(name)
#define | PCREATE_VIDOUTPUT_PLUGIN(name)

## Functions

| PPLUGIN_STATIC_LOAD (FakeVideo, PVideoInputDevice)

## Macro Definition Documentation

#define PCREATE_VIDINPUT_PLUGIN | ( |  | name | ) |

Value:
static PVideoInputPluginServiceDescriptor<PVideoInputDevice_##name> PVideoInputDevice_##name##_descriptor; \
PCREATE_PLUGIN(name, PVideoInputDevice, &PVideoInputDevice_##name##_descriptor)
PCREATE_PLUGIN
#define PCREATE_PLUGIN(serviceName, serviceType, descriptor)
Definition: plugin.h:237
PVideoInputDevice
This class defines a video input device.
Definition: videoio.h:975
PVideoInputPluginServiceDescriptor
Definition: videoio.h:1168

#define PCREATE_VIDOUTPUT_PLUGIN | ( |  | name | ) |

Value:
static PVideoOutputPluginServiceDescriptor<PVideoOutputDevice_##name> PVideoOutputDevice_##name##_descriptor; \
PCREATE_PLUGIN(name, PVideoOutputDevice, &PVideoOutputDevice_##name##_descriptor)
PCREATE_PLUGIN
#define PCREATE_PLUGIN(serviceName, serviceType, descriptor)
Definition: plugin.h:237
PVideoOutputPluginServiceDescriptor
Definition: videoio.h:1205
PVideoOutputDevice
This class defines a video output device.
Definition: videoio.h:716

## Function Documentation

PPLUGIN_STATIC_LOAD | ( | FakeVideo | ,
|  | PVideoInputDevice |
| ) |  |